function obj = bivariate_obj(u, um1, cdffun, params)
  tmp = cdffun(u, params) + cdffun(um1, params) ...
        - cdffun([u(:,1), um1(:,2)], params) ...
        - cdffun([um1(:,1), u(:,2)], params);
  obj = - sum(log(max(tmp, 1e-100))); %, realmin('double')
